LiteSpeed Cache Plugin for WordPress Download

The LiteSpeed Cache Plugin for WordPress is free and open source. It requires LiteSpeed Web Server (LSWS) Enterprise Edition 5.0.10+ (with LSCache).

If you do not currently have LSWS Enterprise 5.0.10+ installed but would still like to take advantage of LiteSpeed Cache for WordPress, follow all steps below.

If you already have LSWS Enterprise 5.0.10+ installed, skip to step 2.

Step 1: Get LiteSpeed Enterprise 5.0.10+

Step 2: Get A LiteSpeed Enterprise License With The LSCache Module Enabled

  • Get a Free 15-day Trial: Request a trial license.
  • LSCache will be included by default
  • Ready to Order: Purchase a new license.
  • Be sure to select "Yes" in the LSCache option under “Configurable Options” when purchasing your license
  • Upgrade Existing License: If you already have an existing LSWS Enterprise License you can upgrade to have the LSCache module enabled.
  • Log into your account and navigate to Services > My Services > View > Details > Management Actions > Upgrade/Downgrade Options and set the LSCache option to "Yes"

Step 3: Download the LiteSpeed Cache Plugin for WordPress

Download the LiteSpeed Cache Plugin from our WordPress Plugin Directory page.



Step4: LiteSpeed Cache for WordPress Installation and Configuration

Install and configure LSCWP using the Installation guide on our LSCWP Wiki.